package com.focusvision.intervu.room.api.security;

/**
 * Participant permissions.
 *
 * @author Branko Ostojic
 */
public enum ParticipantPermission {
  BOOKMARK_READ,
  BOOKMARK_REGULAR_ADD,
  BOOKMARK_PII_ADD,

  DRAWING_READ,
  DRAWING_CONTROL,

  SCROLL_READ,

  PARTICIPANT_CONTROL,

  PARTICIPANT_TESTING_READ,
  PARTICIPANT_TESTING_REPORT,

  ROOM_READ,
  ROOM_CONTROL,
  ROOM_JOIN,

  STIMULI_READ,
  STIMULI_CONTROL,
  STIMULI_STATE_READ,
  STIMULI_SNAPSHOT_ADD,

  PIN_CODES_READ,

  ROLE_CONTROL
}
